Summary: ne, the nice editor
Name: ne
Version: 2.2
Release: 1
License: GPL
Group: Applications/Editors
Source0: http://ne.dsi.unimi.it/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make
Prereq: /sbin/install-info
Requires: info

%description 
ne is a free (GPL'd) text editor based on the POSIX standard that runs (we
hope) on almost any UN*X machine. ne is easy to use for the beginner, but
powerful and fully configurable for the wizard, and most sparing in its
resource usage. If you have the resources and the patience to use emacs or the
right mental twist to use vi then probably ne is not for you. However, being
fast, small, powerful and simple to use, ne is ideal for email, editing through
phone line (or slow GSM/GPRS) connections and so on. Moreover, the internal
text representation is very compact--you can easily load and modify very large
files.


%prep
%setup -q


%build
cd src
gmake %{?_smp_mflags}
/usr/bin/strip ne || :


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp ./src/ne ${RPM_BUILD_ROOT}%{_bindir}/ne
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp ./doc/ne.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
cp ./doc/ne.info* ${RPM_BUILD_ROOT}%{_infodir}
chmod 0644 ${RPM_BUILD_ROOT}%{_infodir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ./doc/ne/*.html
%doc ./doc/ne.texinfo
%doc ./doc/ne.ps
%doc ./doc/ne.pdf
%doc ./doc/ne.txt
%doc ./doc/default.*
%doc ./README
%doc ./CHANGES
%docdir terms
%doc ./terms
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
/usr/bin/*


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%changelog
* Thu Mar 10 2011 Michael Perzl <michael@perzl.org> - 2.2-1
- updated to version 2.2

* Fri Apr 23 2010 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Mon Jan 23 2006 Michael Perzl <michael@perzl.org> - 1.42-1
- first version for AIX V5.1 and higher
